Subject: bug#64200: Netsurf very frequently freezes when editing text (Harfbuzz issue?)

From: Josselin Poiret <[email-masked]>
Date: Wed, 21 Jun 2023 11:08:58 +0200

Hi Csepp,

Csepp <[email-masked]> writes:

> Like the title says.  It never happens when just browsing, but happens
> very frequently (like a minute after starting to type) when editing
> text, at least on Brutaldon, but maybe on other sites too.
>
> I noticed that our Harfbuzz package is two entire major releases behind.
> Maybe there are bugfixes in the latest one that we could use?
>
> I tried building it but it froze up my laptop for some reason (rather
> strange, even if it runs out of memory it should just be killed by
> earlyoom) so I haven't attempted to test this theory yet.
>
> Is there any particular reason Harfbuzz wasn't covered by the last
> core-updates?  If it turns out to be a bug in it, what would be the best
> way to proceed?

core-updates was lagging behind, and while merging you don't want to
introduce potential sources of issues.  This could maybe go into the
graphics updates along with mesa, if John thinks it's appropriate.

Best,
-- 
Josselin Poiret